﻿© Fluke Corporation. All Rights Reserved.                   MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub Agilent Infiniium Channel Selection
DATE:                  2006-07-11
AUTHOR:                Fluke
REVISION:              $Revision: 2619 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       59
=============================================================================
#
#  Procedure Author:
#        DFM
#
#  Model(s) Covered:
#        Agilent Infiniium series oscilloscopes
#
#  Compatibility:
#        MET/CAL 7.11 SP1 (7.11j) or later
#
#  Subprocedures:
#        None
#
#  Required Files:
#        None
#
#  Additional Equipment Required:
#        None
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
#  Variables Used:
#   Chan    Desired channel selection
#
#  Example (from calling procedure):
# 1.001  MATH         MEM2 = PUT("Chan", 1)
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

# Specify channel being tested.
  1.001  IF           GET("Chan") == 1
  1.002  SCPI         CHAN1:DISP ON;:CHAN2:DISP OFF
  1.003  SCPI         CHAN3:DISP OFF;:CHAN4:DISP OFF
  1.004  ELSEIF       GET("Chan") == 2
  1.005  SCPI         CHAN1:DISP OFF;:CHAN2:DISP ON
  1.006  SCPI         CHAN3:DISP OFF;:CHAN4:DISP OFF
  1.007  ELSEIF       GET("Chan") == 3
  1.008  SCPI         CHAN1:DISP OFF;:CHAN2:DISP OFF
  1.009  SCPI         CHAN3:DISP ON;:CHAN4:DISP OFF
  1.010  ELSE
  1.011  SCPI         CHAN1:DISP OFF;:CHAN2:DISP OFF
  1.012  SCPI         CHAN3:DISP OFF;:CHAN4:DISP ON
  1.013  ENDIF

  1.014  END
